/**
 * Nectar Slider Customizations
 */


/*! ===== Layout ===== */

/**
 * HOTFIX: Fullwidth nectar slider in blog posts have left position set incorrectly, leaving white space.
 *
 * 2021-02
 */

body.single .nectar-slider-wrap[data-full-width="true"] {
	/* override JS set values with Salient's CSS positioning values */
	left:         50%  !important;
	margin-left: -50vw !important;
}



/*! ===== Basic Typography ===== */
/* NOTE:  Don't set font-size here, but in Salient > Typography > Nectar Specific Elements where possible, to avoid scaling issues */

.swiper-slide .content h2 {
	margin-bottom: 0.25em;  /* reduce spacing from page setting */
	font-weight: 500;  /* Neo Sans Medium */
}

.swiper-slide .content p {}

/* Buttons */
.swiper-slide .content .buttons {
	padding-top: 2.1429em;  /* ~30 px, but scaleable */
}
/* Match site's .nectar-button styling */
.swiper-slide .button a {
	font-weight: 500;
	text-transform: none;
	border: 2px solid transparent;
}
.swiper-slide .button a,
div[data-button-sizing] .swiper-slide .button a,
div[data-button-sizing] .swiper-slide .button[class*="transparent"] a {
	padding: 1em 2.25em;
}
div[data-button-sizing="large"] .swiper-slide .button a {
	font-size: 1.2857em;
}
/* color variants */
.swiper-slide .button.solid_color a.accent-color,
.swiper-slide .button.solid_color a.extra-color-1 {
	color: #283B4D;
}

/* Fix illegibly small text at mobile size */
@media only screen and (max-width: 690px) {
	.nectar-slider-wrap[data-full-width="true"][data-fullscreen="false"] .swiper-slide .content h2,
	.nectar-slider-wrap[data-full-width="boxed-full-width"][data-fullscreen="false"] .swiper-slide .content h2,
	.full-width-content .vc_span12 .nectar-slider-wrap[data-fullscreen="false"] .swiper-slide .content h2 {
		font-size: 2.4545em !important;  /* ~27px @ 11px body size */
		line-height: 1.1 !important;
	}

	.nectar-slider-wrap[data-full-width="true"][data-fullscreen="false"] .swiper-slide .content p,
	.nectar-slider-wrap[data-full-width="boxed-full-width"][data-fullscreen="false"] .swiper-slide .content p,
	.full-width-content .vc_span12 .nectar-slider-wrap[data-fullscreen="false"] .swiper-slide .content p {
		font-size: 1em !important;  /* match body font size */
		line-height: 1.3 !important;
	}
}



/*! ===== Pagination Controls ===== */

/*! ----- Pagination: Prev/Next Arrows ----- */

/* arrows re-positioned inside pagination bullets wrapper via JS */
.slider-pagination .slider-prev,
.slider-pagination .slider-next {
	/* display inline with bullets */
	position: relative;
	display: inline-block;
	width: auto !important;  /* "important" to override orig JS resizing (for slide counts) */
	height: auto;
	margin: 0;
	text-decoration: none;
	text-shadow: 0 0 10px rgba(0, 0, 0, 0.9);
	background: transparent;
	overflow: visible !important;  /* "important" to override orig JS hidden value shifting position */
	transition: all 0.3s ease;
}

.slider-pagination .slider-prev {
	margin-right: 20px;
}

.slider-pagination .slider-next {
	margin-left: 20px;
}

.slider-pagination .slider-prev:hover,
.slider-pagination .slider-next:hover {
	background: transparent;
}

.slider-pagination .slider-prev:hover {
	left: -4px;
}

.slider-pagination .slider-next:hover {
	right: -4px;
}

/* arrows' actual icons */
.slider-pagination .slider-prev > i,
.slider-pagination .slider-next > i {
	/* position inline */
	position: relative;
	line-height: inherit;
	left: 0;
	height: auto;
	vertical-align: middle;
}

/* hide the arrows' slide counts */
.slider-pagination .slide-count {
	display: none;
}


/*! ----- Pagination: Bullets ----- */

/* slider pagination bullets */
.slider-pagination .swiper-pagination-switch {
	width: 10px;
	height: 10px;
	margin: 0 6px;
	background-color: #fff;
	border: none;
	border-radius: 50%;
	opacity: 0.5;
	box-shadow: 0 0 10px rgba(0, 0, 0, 0.9);
}

.slider-pagination .swiper-pagination-switch:not(.swiper-active-switch):hover {
	opacity: 0.8;
}

.slider-pagination .swiper-active-switch {
	width: 14px;
	height: 14px;
	margin: -2px 4px;
	opacity: 1;
}

@media only screen and (max-width: 690px) {
	.swiper-container .slider-pagination-wrap {
		bottom: 13px;  /* allow for our page header/slider bottom borders (8px) */
	}
}


/*! ===== Search Form ===== */

.swiper-slide .search-form {
	margin: 0 0 2em;
}

.swiper-slide input.search-field {
	color: #fff;
	background-color: rgba( 0, 0, 0, 0.4 ) !important;
}

@media only screen and ( max-width: 900px ) {
	.swiper-slide .search-form {
		margin-bottom: 0.75em;
	}

	.swiper-slide .search-form input {
		font-size: 16px !important;
		line-height: 1.4;
	}

	.swiper-slide .search-form input,
	body .swiper-slide .search-form input.search-submit[type="submit"] {  /* specificity war with parent theme */
		padding: 0.5em 1em !important;
	}

	.swiper-slide .search-form input.search-field {
		padding-right: 7em !important;  /* accommodate inline search button */
	}
}

@media only screen and ( max-width: 690px ) {
	.swiper-slide .search-form {
		margin-bottom: 0.5em;
	}

	.swiper-slide .search-form input {
		font-size: 12px !important;
	}
}



/*! ===== Photo Captions ===== */

.slide-photo-caption {
	display: block;
	position: absolute;
	bottom: 50px;  /* avoid slider pagination element (25px bottom + 25px height) blocking mouse events */
	right: 5%;
	overflow: visible;
	z-index: 101;  /* layer above all other slide elements */
}

.slide-photo-caption .photo-caption-icon {
	position: absolute;
	bottom: 0;
	right:  0;
	font-size: 20px;
	line-height: 1;
	text-shadow: 1px 1px 4px rgba(0, 0, 0, 0.6);
	color: #fff;
	cursor: pointer;
	transition: all 0.3s ease-out;
}
.slide-photo-caption:hover .photo-caption-icon {
	opacity: 0;
}

.slide-photo-caption .photo-caption-icon [class^="fa"] {
	top: 0;
	width:  auto;
	height: auto;
	font-size: inherit;
}

.slide-photo-caption .photo-caption-text {
	position: absolute;
	bottom: -5000px;  /* hide from view, without display: none, for opacity transition */
	right: 0;
	width: 320px;
	padding: 15px 20px;
	font-size: 12px;
	text-align: right;
	line-height: 1.4em;
	background: white;
	background: rgba( 255, 255, 255, 0.9 );
	opacity: 0;
	transition: opacity 0.5s;
}
.slide-photo-caption:hover .photo-caption-text {
	bottom: 0;  /* place back in view */
	opacity: 1;
}

.slide-photo-caption .photo-caption-text p {
	margin: 0;
	padding: 0;
	font-size: 12px;
	text-align: right;
	line-height: 1.4em;
}



/*! ===== Content Overlapping Slider ===== */
/* 100px overlap; above mobile only */

@media screen and (min-width: 1000px) {
	.slider-overlapped .swiper-slide .container {
		/* adjust slider content area left after overlap */
		position: relative;
		top: -50px;  /* 100px overlap / 2 */
	}

	.slider-overlapped .slide-photo-caption {
		bottom: 150px;  /* 100px overlap + 50px normal */
	}

	.slider-overlapped .slider-pagination {
		bottom: 125px;  /* 100px overlap + 25px normal */
	}

	/* the adjacent content container that is overlapping */
	.slider-overlapped + div {
		margin-top: -100px;  /* pull over slider */
		z-index: 10;  /* layer above slider content */
	}
}
